import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infcur {
  constructor() {
    this.data = {
      cod: "",			//  CUR		.cod
      seanam: "",			//  Currency Description		.seanam
      infbut: {
        dspstm: "",			//  display stream		.infbut.dspstm
      },
      rec: {
        cod: "",			//  Currency Code		.rec.cod
        rndunt: "",			//  Rounding Unit of Currency		.rec.rndunt
        bas: "",			//  Exchange Rate Calculation Base		.rec.bas
        acc1: "",			//  Account for Currency Conversions		.rec.acc1
        acc2: "",			//  Counter Acct. for Currency Conversions		.rec.acc2
        seq: "",			//  Seq.  in Exchange Rate Tool (0:Not in, -1 fix)		.rec.seq
        newcur: "",			//  Replaced by		.rec.newcur
        begdat: "",			//  Valid from (incl.) until:		.rec.begdat
        enddat: "",			//  Valid until Excl.		.rec.enddat
        dbtday: "",			//  Debit		.rec.dbtday
        cdtday: "",			//  Value Credit		.rec.cdtday
        maxcur: "",			//  Maximum Amount for Stored Rate		.rec.maxcur
        maxamt: "",			//  Maximum Amount for Stored Rate		.rec.maxamt
        altcod: "",			//  Alternate Code		.rec.altcod
        dec: "",			//  Decimal Places		.rec.dec
        dif: "",			//  Maximum Tolerance		.rec.dif
        glbrat: "",			//  General Ledger Balance Rate		.rec.glbrat
        bsrmar: "",			//  Margin for Buying/Selling Rate		.rec.bsrmar
        sqrmar: "",			//  Margin for Squaring Rate		.rec.sqrmar
        odrintday: "",			//  Interest Days in OD-Rate		.rec.odrintday
      },
      recpan: {
        codmod: {
          codtxt: [],			//  		.recpan.codmod.codtxt
        },
        recget: {
          sdamod: {
            seainf: "",			//  Code		.recpan.recget.sdamod.seainf
            dadsnd: "",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
          },
        },
      },
      pageId: ""			// ctx的key
    }
  }
}