import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Trtame{
    constructor () {
        this.data = {
						trdgrp:{
							rec:{
								pntref:"",			//  父交易参考号		.trdgrp.rec.pntref
								pntnam:"",			//  Name 		.trdgrp.rec.pntnam
								ownref:"",			//  参考号		.trdgrp.rec.ownref
								nam:"",			//  Name		.trdgrp.rec.nam
								pctfin:"",			//  融资比例		.trdgrp.rec.pctfin
								stttendat:"",			//  起息日期		.trdgrp.rec.stttendat
								matdat:"",			//  Maturity Date		.trdgrp.rec.matdat
								fintyp:"",			//  融资品种		.trdgrp.rec.fintyp
								finact:"",			//  Finance Account		.trdgrp.rec.finact
								intrat:"",			//  Margin Spread applied to Interest Rate		.trdgrp.rec.intrat
								actrat:"",			//  actural rate		.trdgrp.rec.actrat
								tenday:"",			//  新到期日		.trdgrp.rec.tenday
								lprtyp:"",			//  市场LPR期限品种		.trdgrp.rec.lprtyp
							},
							cbs:{
								max:{
									cur:"",			//  融资金额		.trdgrp.cbs.max.cur
									amt:"",			//  融资金额		.trdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  余额		.trdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.trdgrp.cbs.opn1.amt
								},
							},
							fip:{
								pts:new Pts().data,
							},
						},
						trtp0:{
							bcdget:{
								sdamod:{
									seainf:"",			//  		.trtp0.bcdget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.trtp0.bcdget.sdamod.dadsnd
								},
							},
							ledget:{
								sdamod:{
									seainf:"",			//  		.trtp0.ledget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.trtp0.ledget.sdamod.dadsnd
								},
							},
							brdget:{
								sdamod:{
									seainf:"",			//  		.trtp0.brdget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.trtp0.brdget.sdamod.dadsnd
								},
							},
							bedget:{
								sdamod:{
									seainf:"",			//  		.trtp0.bedget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.trtp0.bedget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.trtp0.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.trtp0.recget.sdamod.dadsnd
								},
							},
						},
						ametyp:"",			//  Amendment Type		.ametyp
						trtmod:{
							finmod:{
								pctlab:"",			//  Percentage Label		.trtmod.finmod.pctlab
								fincod:"",			//  借据号		.trtmod.finmod.fincod
								intprd:"",			//  计息周期		.trtmod.finmod.intprd
								intdat:"",			//  计息日期		.trtmod.finmod.intdat
								ratchgtyp:"",			//  利率调�'方式		.trtmod.finmod.ratchgtyp
								ratchgprd:"",			//  利率调�'周期		.trtmod.finmod.ratchgprd
								ratchgdat:"",			//  利率调�'月日数		.trtmod.finmod.ratchgdat
								graday:"",			//  宽限期		.trtmod.finmod.graday
								flttyp:"",			//  浮动方式		.trtmod.finmod.flttyp
								fltval:"",			//  浮动值		.trtmod.finmod.fltval
								ovdinttyp:"",			//  呆滞计息方式		.trtmod.finmod.ovdinttyp
								ovdintrat:"",			//  罚息比率		.trtmod.finmod.ovdintrat
								act1:"",			//  第一还款�'�号		.trtmod.finmod.act1
								acttyp:"",			//  正常执行利率		.trtmod.finmod.acttyp
								act3:"",			//  第三方还款�'�号		.trtmod.finmod.act3
								wjdkfl:"",			//  是否到期主动扣收款		.trtmod.finmod.wjdkfl
								dinmod:{
									jzllgz:"",			//  基准利率规则		.trtmod.finmod.dinmod.jzllgz
								},
							},
						},
						newmatdat:"",			//  New Due Date		.newmatdat
						liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
							limmod:{
								limpts:{
									wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
									othlab:"",			//  Label		.liaall.limmod.limpts.othlab
									othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
									wrk:{
										pts:new Pts().data,
									},
									oth:{
										pts:new Pts().data,
									},
									lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
									nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
									pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
									nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
									pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
								},
								wrkp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
										},
									},
								},
								othp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
										},
									},
								},
								ownref:"",			//  国结业务编号		.liaall.limmod.ownref
								comamt:"",			//  业务余额		.liaall.limmod.comamt
								ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
								ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
							},
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						cfatrt:{
							cfaflg:"",			//  数据采集标志		.cfatrt.cfaflg
							basflg:"",			//  签约信息		.cfatrt.basflg
							ownextkey:"",			//  地区机构号		.cfatrt.ownextkey
							dclflg:"",			//  变动信息		.cfatrt.dclflg
							cda:{
								cfeogudad:"",			//  中资企业境外担保项下贷款业务批准文件号		.cfatrt.cda.cfeogudad
								cfeogudamount:"",			//  中资企业境外担保项下境内贷款额度金额		.cfatrt.cda.cfeogudamount
								useofunds:"",			//  资金用途		.cfatrt.cda.useofunds
								cfeogudcurr:"",			//  中资企业境外担保项下境内贷款额度币种		.cfatrt.cda.cfeogudcurr
							},
							cdaflg:"",			//  是否外保内贷		.cfatrt.cdaflg
							recgrp:{
								bas:{
									actiontype:"",			//  操作类型		.cfatrt.recgrp.bas.actiontype
									actiondesc:"",			//  删除原因		.cfatrt.recgrp.bas.actiondesc
									dofoexlocode:"",			//  国内外汇贷款编号		.cfatrt.recgrp.bas.dofoexlocode
									creditorcode:"",			//  债权人代码		.cfatrt.recgrp.bas.creditorcode
									debtorname:"",			//  债务人中文名称		.cfatrt.recgrp.bas.debtorname
									dofoexlotype:"",			//  国内外汇贷款类型		.cfatrt.recgrp.bas.dofoexlotype
									lenproname:"",			//  转贷项目名称		.cfatrt.recgrp.bas.lenproname
									lenagree:"",			//  转贷协议号		.cfatrt.recgrp.bas.lenagree
									valuedate:"",			//  起息日		.cfatrt.recgrp.bas.valuedate
									maturity:"",			//  到期日		.cfatrt.recgrp.bas.maturity
									currence:"",			//  贷款币种		.cfatrt.recgrp.bas.currence
									anninrate:"",			//  年化利率值		.cfatrt.recgrp.bas.anninrate
									remark:"",			//  备注		.cfatrt.recgrp.bas.remark
									contractamount:"",			//  签约金额		.cfatrt.recgrp.bas.contractamount
									debtorcode:"",			//  债务人代码		.cfatrt.recgrp.bas.debtorcode
								},
							},
							recp:{
								pubp:{
									acp:"",			//  确认		.cfatrt.recp.pubp.acp
								},
							},
						},
						pageId: ""			// ctx的key
				}
    }
}