import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "~/model/Public";

export default class Bttdck{
    constructor () {
        this.data = {
						ltdgrp:{
							rec:{
								ownref:"",			//  Transfer Reference		.ltdgrp.rec.ownref
							},
						},
						bttp:{
							ltdget:{
								sdamod:{
									seainf:"",			//  		.bttp.ltdget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bttp.ltdget.sdamod.dadsnd
								},
							},
							ledget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bttp.ledget.sdamod.dadsnd
									seainf:"",			//  		.bttp.ledget.sdamod.seainf
								},
							},
							recget:{
								sdamod:{
									seainf:"",			//  Doc. Set Reference		.bttp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bttp.recget.sdamod.dadsnd
								},
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.bttp.aammod.addamtflg
							},
							prpp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bttp.prpp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bttp.prpp.ptsget.sdamod.dadsnd
									},
								},
							},
							docgrdmbe1:{
								docdsclab:"123",			//  Label of document description		.bttp.docgrdmbe1.docdsclab
								docgrd:[],			//  		.bttp.docgrdmbe1.docgrd
							},
							docgrdmbe2:{
								docdsclab:"321",			//  Label of document description		.bttp.docgrdmbe2.docdsclab
								docgrd:[],			//  		.bttp.docgrdmbe2.docgrd
							},
							futhndflg:"",			//  further handling		.bttp.futhndflg
							acbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bttp.acbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bttp.acbp.ptsget.sdamod.dadsnd
									},
								},
							},
							rmtp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bttp.rmtp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bttp.rmtp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						ledgrp:{
							rec:{
								ownref:"",			//  L/C Reference		.ledgrp.rec.ownref
							},
						},
						btdgrp:{
							rec:{
								ownref:"",			//  Document Set Number		.btdgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.btdgrp.rec.nam
								doctypcod:"",			//  Document Type		.btdgrp.rec.doctypcod
								matdat:"",			//  Maturity Date		.btdgrp.rec.matdat
								predat:"",			//  Presentation Date		.btdgrp.rec.predat
								docsta:"",			//  Document Set Status		.btdgrp.rec.docsta
								rcvdatbe1:"",			//  Date of Receipt (1st Ben.)		.btdgrp.rec.rcvdatbe1
								orddatbe1:"",			//  Order Date (1st Ben.)		.btdgrp.rec.orddatbe1
								dscinsflg:"",			//  Enter Docs, Discrep. and Instructions		.btdgrp.rec.dscinsflg
								docprbrolbe1:"",			//  Presented by 1st Ben-Side		.btdgrp.rec.docprbrolbe1
								totcur:"",			//  Total Amount Claimed		.btdgrp.rec.totcur
								totamt:"",			//  Total Amount to be Paid		.btdgrp.rec.totamt
								totdat:"",			//  Date to be Paid		.btdgrp.rec.totdat
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.btdgrp.cbs.max.cur
									amt:"",			//  Balance		.btdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.btdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.btdgrp.cbs.opn1.amt
								},
								max2:{
									cur:"",			//  Additional Amount		.btdgrp.cbs.max2.cur
									amt:"",			//  附加金额		.btdgrp.cbs.max2.amt
								},
								opnbe1amt:{
									cur:"",			//  Document Amount		.btdgrp.cbs.opnbe1amt.cur
									amt:"",			//  Balance		.btdgrp.cbs.opnbe1amt.amt
								},
								opnbe1amt2:{
									cur:"",			//  Additional Amount		.btdgrp.cbs.opnbe1amt2.cur
									amt:"",			//  Additional Amount		.btdgrp.cbs.opnbe1amt2.amt
								},
								opn2:{
									cur:"",			//  附加金额		.btdgrp.cbs.opn2.cur
								},
							},
							be1:{
								pts:new Pts().data,
							},
							be2:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
							},
							be2amt:"",			//  Document Amount		.btdgrp.be2amt
							be2amt2:"",			//  Additional Amount		.btdgrp.be2amt2
							prp:{
								pts:new Pts().data,
								namelc:"",			//  名称		.btdgrp.prp.namelc
								adrelc:"",			//  地址		.btdgrp.prp.adrelc
								dbfadrblkcn:"",			//  Chinese address		.btdgrp.prp.dbfadrblkcn
							},
							blk:{
								intdis:"",			//  Internal Discrepancies		.btdgrp.blk.intdis
								comcon:"",			//  Comments and Conclusions		.btdgrp.blk.comcon
								setinsbt:"",			//  Settlement Instructions transaction field		.btdgrp.blk.setinsbt
								docdis:"",			//  Discrepancies		.btdgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.btdgrp.blk.docdisflg
								chaded:"",			//  Charges Deducted		.btdgrp.blk.chaded
								chaadd:"",			//  Charges Added		.btdgrp.blk.chaadd
								nartxt77a:"",			//  Narrative Tag77A of MT754		.btdgrp.blk.nartxt77a
							},
							acb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.btdgrp.acb.namelc
								adrelc:"",			//  地址		.btdgrp.acb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.btdgrp.acb.dbfadrblkcn
							},
							rmt:{
								pts:new Pts().data,
								namelc:"",			//  名称		.btdgrp.rmt.namelc
								adrelc:"",			//  地址		.btdgrp.rmt.adrelc
								dbfadrblkcn:"",			//  Chinese address		.btdgrp.rmt.dbfadrblkcn
							},
						},
						setmod: new Pub().data.Setmod,
						mtabut: new Pub().data.Mtabut,
						trnmod: new Pub().data.Trnmod,
						liaall: new Pub().data.Liaall,
						pageId: ""			// ctx的key
				}
    }
}