import Utils from "~/utils"

/**
* Cctdav Check规则
*/
let checkObj = {
    "ccdgrp.cbs.max.cur"                      :null,
    "ccdgrp.dro.pts.extkey"                      :null,
    "ccdgrp.cor.pts.adrblk"                      :null,
    "ccdgrp.cbs.max.amt"                      :null,
    "ccdgrp.rec.purflg"                      :null,
    "ccdgrp.col.pts.extkey"                      :null,
    "ccdgrp.col.pts.adrblk"                      :null,
    "ccdgrp.pre.adrelc"                      :null,
    "ccdgrp.dro.pts.adrblk"                      :null,
    "ccdgrp.cor.namelc"                      :null,
    "ccdgrp.col.namelc"                      :null,
    "ccdgrp.dro.namelc"                      :null,
    "ccdgrp.rec.tocsel"                      :null,
    "ccdgrp.pre.namelc"                      :null,
    "ccdgrp.rec.modset"                      :null,
    "ccdgrp.cor.adrelc"                      :null,
    "ccdgrp.cor.pts.extkey"                      :null,
    "ccdgrp.rec.ownref"                      :null,
    "ccdgrp.dro.adrelc"                      :null,
    "ccdgrp.col.adrelc"                      :null,
    "ccdgrp.pre.pts.adrblk"                      :null,
    "ccdgrp.pre.pts.extkey"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

